Bug 1007822 - No way to manually refresh the Problems panel
No way to manually refresh the Problems panel
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity medium
: ER5
: 6.0.0
Assigned To: manstis
Zuzana Krejčová
:
Depends On:
Blocks: bpms6_ux/brms6_ux
  Show dependency treegraph
 
Reported: 2013-09-13 07:50 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manstis: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-09-13 07:50:56 EDT
Description of problem:
There is no way to manually refresh the Problems panel. It is done automatically at some predefined times/events not known to the user. The user has no way to do it himself.
Comment 1 manstis 2013-09-13 08:40:39 EDT
The Problems Panel is refreshed whenever a file is saved; or when the Project is built. I think this needs to be simply documented.
Comment 2 Zuzana Krejčová 2013-09-18 05:22:46 EDT
(In reply to manstis from comment #1)
> The Problems Panel is refreshed whenever a file is saved; or when the
> Project is built. I think this needs to be simply documented.

I'm starting to think that having a way to manually refresh the Problems tab would be very useful. Trying to pinpoint a problem that blocks you from building a package is quite tedious, more so if you have to save something over and over. It seems the refresh doesn't happen if you just delete an asset or create a new one. 
The refresh also doesn't happen immediately, so as a user, I sometimes doubt that it even happened or if it did, that the change I made has made any difference.
If I could manually refresh the Problems tab, it would help a lot.
Comment 3 manstis 2013-10-17 07:05:46 EDT
(In reply to Zuzana Krejčová from comment #2)
> (In reply to manstis from comment #1)
> > The Problems Panel is refreshed whenever a file is saved; or when the
> > Project is built. I think this needs to be simply documented.
> 
> I'm starting to think that having a way to manually refresh the Problems tab
> would be very useful. Trying to pinpoint a problem that blocks you from
> building a package is quite tedious, more so if you have to save something
> over and over. It seems the refresh doesn't happen if you just delete an
> asset or create a new one. 
> The refresh also doesn't happen immediately, so as a user, I sometimes doubt
> that it even happened or if it did, that the change I made has made any
> difference.
> If I could manually refresh the Problems tab, it would help a lot.

"It seems the refresh doesn't happen if you just delete an asset..."

There were a couple of other BZs for the problems panel not updating when deleting a file (https://bugzilla.redhat.com/show_bug.cgi?id=1009383 and 
https://bugzilla.redhat.com/show_bug.cgi?id=1016517). These have been fixed.

"...or create a new one". This appears reasonably responsive (baring in mind there have been some changes for the Problems Panel recently, and I'll be looking at the latest code).

You can refresh the whole problems panel by performing a build from the "Project Editor" screen. If you'd still like a refresh button then I can easily add one (to perform a full build), I don't mind. I just wanted to provide some feedback/updates.
Comment 5 Zuzana Krejčová 2013-10-25 04:38:44 EDT
Having thought about it and having written and erased a too long response... Yes, please do add the refresh button.

I'll just point out one thing - while it is possible to perform a build from the Project Screen, that action also deploys the project, which might not always be desired in this case.
Comment 7 Zuzana Krejčová 2013-12-09 12:48:15 EST
Verified with ER5. Thanks!

Note You need to log in before you can comment on or make changes to this bug.